.TH sane-microtek 5 "13 May 1998"
.IX sane-microtek
.SH NAME
sane-microtek \- SANE backend for Microtek scanners
.SH DESCRIPTION
The
.B sane-microtek
library implements a SANE (Scanner Access Now Easy) backend that
provides access to Microtek scanners.  At present, the following
hardware is known to work with this backend:
.PP
.RS
Microtek ScanMaker E2, E3, E6
.br
Microtek ScanMaker 600ZS, II, IIHR, IISP, III
.br
Agfa Arcus II
.br
Vobis Realscan, Highscan
.br
.PP
Transparent Media Adapter
.br
.RE
.PP
The driver supports line art, halftone, 8bpp gray, and 24bpp color scans
at normal and "expanded" resolutions (i.e. 1200x1200 on an E6), fast scans
for color previews, and downloadable gamma tables.
.PP
The driver does 
.B not
support the newest Microtek scanners, such as the V330 and V660, which use
a new and very different SCSI-II command set.
.PP
If you own a Microtek scanner other than the ones listed above, tell us
what happens --- see the
.BR BUGS
section at the end of this document.

.SH "DEVICE NAMES"
This backend expects device names of the form:
.PP
.RS
.I special
.RE
.PP
Where
.I special
is the UNIX path-name for the special device that corresponds to the
scanner.  The special device name must be a generic SCSI device or a
symlink to such a device.  Under Linux, such a device name could be
.I /dev/sga
or
.IR /dev/sge ,
for example.
.SH CONFIGURATION
The contents of the
.I microtek.conf
file is a list of device names that correspond to Microtek
scanners.  Empty lines and lines starting with a hash mark (#) are
ignored.  A sample configuration file is shown below:
.PP
.RS
/dev/scanner
.br
# this is a comment
.br
/dev/sge
.RE
.PP
.SH FILES
.TP
.I @CONFIGDIR@/microtek.conf
The backend configuration file (see also description of
.B SANE_CONFIG_DIR
below).
.TP
.I @LIBDIR@/libsane-microtek.a
The static library implementing this backend.
.TP
.I @LIBDIR@/libsane-microtek.so
The shared library implementing this backend (present on systems that
support dynamic loading).

.SH ENVIRONMENT
.TP
.B SANE_CONFIG_DIR
This environment variable specifies the list of directories that may
contain the configuration file.  Under UNIX, the directories are
separated by a colon (`:'), under OS/2, they are separated by a
semi-colon (`;').  If this variable is not set, the configuration file
is searched in two default directories: first, the current working
directory (".") and then in @CONFIGDIR@.  If the value of the
environment variable ends with the directory separator character, then
the default directories are searched after the explicitly specified
directories.  For example, setting
.B SANE_CONFIG_DIR
to "/tmp/config:" would result in directories "tmp/config", ".", and
"@CONFIGDIR@" being searched (in this order).
.TP
.B SANE_DEBUG_MICROTEK
If the library was compiled with debugging support enabled, this
environment variable controls the debug level for this backend. 
A value of 128 requests maximally copious debug output; smaller
levels reduce verbosity.

.SH "SEE ALSO"
sane\-scsi(5)

.SH AUTHOR
Matt Marjanovic

.SH BUGS
Known bugs/limitations are:
.PP
.RS
Brightness and contrast broken.
.br
"Cancel" operations (sane_cancel) broken.
.br
.RE
.PP
i.e. don't complain about these --- but if brightness and/or contrast
.B do
work for you, please tell me.
.PP
Send lengthy bug reports and new scanner information to
.BR mtek-bugs@mir.com .
Bug reports and new scanner inquiries should include an error log file.
You can generate copious
stderr output by setting the SANE_DEBUG_MICROTEK environment variable
described above.  For example:
.PP
.RS
setenv SANE_DEBUG_MICROTEK 128
.RE
.PP
More general comments, suggestions, and inquiries about frontends
or SANE should go to 
.BR sane\-devel@mostang.com ,
the SANE Developers mailing list.




